let
  nixpkgs = fetchTarball "https://github.com/NixOS/nixpkgs/tarball/nixos-23.11";
  pkgs = import nixpkgs { config = {}; overlays = []; };
in

pkgs.mkShell {
  packages = with pkgs; [
    git
    nushellFull
    mc
    jq
    # libtorrent-rasterbar
    # python311Packages.libtorrent-rasterbar
    python311Full
    python311Packages.ipython
    python311Packages.ipdb
    python311Packages.rq
    rsync
    rustc
    go
    duf
    gdu
    boehmgc
    libb2
    openssl_3_1
    libgcc
    gcc

    # ustream-ssl-mbedtls //doesn't install
    # mbedtls 
    # mbedtls_2
    

  ];
  
  # BIN_MC = "${pkgs.mc}/bin";

  shellHook = ''
    cd $BASE
    git status
    echo $BASE
    $BASE/hero_shell.sh
  '';
}

